function [w1,D,s,Z,pm] = T(w,pmguess)
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% T.m     March 17, 2004
% This program maps a wage vector into another, w1=T(w) where T is 
% It calls the function pm.m.
% Ti(w) = wi ( 1 +  nu*Zi(w)/Li ) 
% [w1,D,s,Z,pm] = T(w,pmguess)
%       w1 = T(w), 
%       D is purchase of share of tradables, 
%       s is labor alloction, 
%       Z is excess demand
%       pm 

% nu = parameter of T, as nu ->0, then T converges to continouus time.
nu = 1;


% call function price_pm.m to compute prices pc
pm = price_pm(w,pmguess);


% [w1](i)=w(i)s(i)+[1/L(i)]*sum_over_j{D(j,i)*OM(j,i)*L(j)*w(j)*(1-s(j))/F(j)}

part1_ = pm.^(1/theta);
part1  = kron(ones(1,N),part1_);
part2_ = (lambda.*((w.^beta).*(pm.^(1-beta))).^(-1/theta))';
part2  = kron(ones(N,1), part2_);   
D=((A*B)^(-1/theta)).*part1.*part2.*KOM; % equation (3.9), share of purchases of tradeables
% next line check that the rows of D add up to one
sumofrowsD=min(sum(D,2));
if sumofrowsD < 0.999 
    disp(' ')
    disp(['Rows of D sum only to ',num2str(sumofrowsD)])
    disp(' ')
    for i=1:N
        D(i,1:N)=D(i,1:N)/sum(D(i,1:N));
    end
end
F=sum(D.*OM,2);                          % equation (3.13), tariff factor
num_s=alpha.*(1-F.*(1-beta));
den_s=((1-alpha)*beta).*F+num_s;
s=num_s./den_s;                          % equation (3.14)


part1_=(L.*w.*(1-s)./F)';       % creates a row-vector, j-th element of which equals 
                                % L(j)*w(j)*(1-s(j))/F(j). 
                                
part1=kron(ones(N,1),part1_);   % creates a matrix each row of which equals "part1_".
part2=D'.*OM';                  % creates a matrix (i,j)-th element of which equals D(j,i)*OM(j,i).                   
under_sum=part1.*part2;         % creates a matrix (i,j)-th element of which equals 
                                % [L(j)*w(j)*(1-s(j))/F(j)]*D(j,i)*OM(j,i).
                                
sum_=sum(under_sum,2);          % sums "under_sum" over j's (over columns).

w1=w.*s+sum_./L;                % new wage vector w1=T(w).

Z=(w1-w).*L./w;                 % implied excess demand (equation 3.22).

% next line introduces the parameter nu:
w1 = w + nu * w .* Z ./L ;
