function [ZZ,D,s,F] = Z(w)
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% Z.m   March 22, 2004
% This function computes ZZ, the excess demand of the wage vector w
% It also produces the values of: 
% i) the matrix with the share of expenditures D
% ii)the vector with the labor allocation s
% iii) the vector with the factor F
% [ZZ,D,s,F] = Z(w)

% call function PRICE_PM.m to compute prices pm
pmguess = ones(N,1);
pm = price_pm(w,pmguess);

part1_ = pm.^(1/theta);
part1  = kron(ones(1,N),part1_);
part2_ = (lambda.*((w.^beta).*(pm.^(1-beta))).^(-1/theta))';
part2  = kron(ones(N,1), part2_);   
D=((A*B)^(-1/theta)).*part1.*part2.*KOM; % equation (3.9)
F=sum(D.*OM,2);                          % equation (3.13)
num_s=alpha.*(1-F.*(1-beta));
den_s=((1-alpha)*beta).*F+num_s;
s=num_s./den_s;                          % equation (3.14)

% compute a version of equation (3.22):
% [T(w)](i)=w(i)s(i)+[1/L(i)]*sum_over_j{D(j,i)*OM(j,i)*L(j)*w(j)*(1-s(j))/F(j)}

part1_=(L.*w.*(1-s)./F)';       % creates a row-vector, j-th element of which equals 
                                % L(j)*w(j)*(1-s(j))/F(j). 
                                
part1=kron(ones(N,1),part1_);   % creates a matrix each row of which equals "part1_".
part2=D'.*OM';                  % creates a matrix (i,j)-th element of which equals D(j,i)*OM(j,i).                   
under_sum=part1.*part2;         % creates a matrix (i,j)-th element of which equals 
                                % [L(j)*w(j)*(1-s(j))/F(j)]*D(j,i)*OM(j,i).
                                
sum_=sum(under_sum,2);          % sums "under_sum" over j's (over columns).

T=w.*s+sum_./L;                % new wage vector w1=T(w).
ZZ=(T-w).*L./w;                 % implied excess demand (equation 3.22).

% Z[(w)](i)= (1/wi)[ sum_over_j{D(j,i)*OM(j,i)*L(j)*w(j)*(1-s(j))/F(j)} - Li*w(i)(1-s(i)) ]
