
% loads data
dataload;
dmatrix;
dmatrix=distancematrix;


% weigted distance wdist
for i=1:N
    wdist(i,1)=(dmatrix(i,1:N)*shareGDPdata)/(1-shareGDPdata(i));
end

% select cutt off point for volume of trade: inlcude only countries with vdata < vmax
vmax = 0.75;
Nv = max(size(vdata(vdata<vmax)));

wdist = wdist/wdist(1); % normalize to distance of US


disp('  ')
disp('  ')
disp('  ')
disp('  ')

disp('--------------------------------------------------------------------------------- ')
disp('Regression Equation : log(v) = b0 + b1 log(share GDP)') 
disp('--------------------------------------------------------------------------------- ')
disp(' ')
[b,RR] = regression(log(vdata),[ones(N,1),log(shareGDPdata)]);
disp(['All countries, assigning average to missing values, N = ',num2str(N)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp(' ')
[b,RR] = regression(log(vdata(vdata<vmax)),[ones(Nv,1),log(shareGDPdata(vdata<vmax))]);
disp([num2str(Nv),' countries with volume of trade less than ' num2str(vmax)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
disp('  ')

disp('--------------------------------------------------------------------------------- ')
disp('Regression Equation : log(v) = b0 + b1 tariff') 
disp('--------------------------------------------------------------------------------- ')
disp(' ')
[b,RR] = regression(log(vdata),[ones(N,1),tariffwto]);
disp(['All countries, assigning average to missing values, N = ',num2str(N)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
[b,RR] = regression(log(vdata(vdata<vmax)),[ones(Nv,1),tariffwto(vdata<vmax)]);
disp([num2str(Nv),' countries with volume of trade less than ' num2str(vmax)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);

disp('  ')
disp('  ')

disp('--------------------------------------------------------------------------------- ')
disp('Regression Equation : log(v) = b0 + b1 log(share GDP) + b2 tariff ')
disp('--------------------------------------------------------------------------------- ')
disp(' ')
[b,RR] = regression(log(vdata),[ones(N,1),log(shareGDPdata),tariffwto]);
disp(['All countries, assigning average to missing values, N = ',num2str(N)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
[b,RR] = regression(log(vdata(vdata<vmax)),[ones(Nv,1),log(shareGDPdata(vdata<vmax)),tariffwto(vdata<vmax)]);
disp([num2str(Nv),' countries with volume of trade less than ' num2str(vmax)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
disp('  ')

disp('--------------------------------------------------------------------------------- ')
disp('Regression Equation : log(v) = b0 + b1 log(share GDP) + b2 tariff + b3 log(wdist) ')
disp('--------------------------------------------------------------------------------- ')
disp(' ')
[b,RR] = regression(log(vdata),[ones(N,1),log(shareGDPdata),tariffwto,log(wdist)]);
disp(['All countries, assigning average to missing values, N = ',num2str(N)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
[b,RR] = regression(log(vdata(vdata<vmax)),[ones(Nv,1),log(shareGDPdata(vdata<vmax)),tariffwto(vdata<vmax),log(wdist(vdata<vmax))]);
disp([num2str(Nv),' countries with volume of trade less than ' num2str(vmax)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
disp('  ')


disp('--------------------------------------------------------------------------------- ')
disp('Regression Equation : log(v) = b0 + b1 log(share GDP) + b2 tariff + b3 wdist ')
disp('--------------------------------------------------------------------------------- ')
disp(' ')
[b,RR] = regression(log(vdata),[ones(N,1),log(shareGDPdata),tariffwto,wdist]);
disp(['All countries, assigning average to missing values, N = ',num2str(N)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
[b,RR] = regression(log(vdata(vdata<vmax)),[ones(Nv,1),log(shareGDPdata(vdata<vmax)),tariffwto(vdata<vmax),log(wdist(vdata<vmax))]);
disp([num2str(Nv),' countries with volume of trade less than ' num2str(vmax)])
disp(['regression coefficients b = ', num2str(b',2)]);
disp(['R square = ', num2str(RR,2)]);
disp('  ')
disp('  ')

