function [w,W,distdw,distZZ] = eqT(w0) 
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% [w,W,distdw,distZZ] = eqT(w0)
% March 22, 2004
% This function iterates on the wage vector until
% convergence usign the mapping T programmed in T.m
% w0 is the initial guess
% w is the equilibrium wage
% W is the sequence of wage vectors
% DistZZ is the sequence of norms of the Excess Demands
% distw is the last change in w between iterations

tinitial = clock; % counter of the time 

w0=w0/(w0'*L); % normalize the wage vector so that w(i)*L(i) sum up to one. 
w=w0;
W=w;                % initiate accumulation of the wage vector for each iteration.
pmold = ones(N,1);  % initial guess for pm
ZZ = Z(w);          % evaluates the exess demand at w=w0; 
distZ = sqrt((ZZ./L)'*(ZZ./L)) ;
distZZ = distZ;
check_if_D_sum_up_to_one=[];

% Iterate on the wage vector until a fixed point is reached
distdw=1;   % distance of succesive wages
dist =distdw;
iter = 0;
toler = 0.00000000001;    % tolerance for changes in succesive wages

while (dist > toler) & (iter<500)   % stop when the tolerance is small enough, 
                                    % or when was running for more than 500 iterations.
   [w1,D,s,ZZ,pmnew] = T(w,pmold);      % compute a vector Tw for a given vector w.
   distdw = max(abs((w1-w)./w));        % largest change in wages in %
   distZ  = sqrt( (ZZ./L)' * (ZZ./L) ); % Norm of Excess Demnand, weigthed by L
   dist = max(distdw,distZ);
   w = w1;
   pmold = pmnew;
   W=[W w1]; % accumulate the wage vector for each iteration.
   distZZ = [distZZ distZ]; % accumalates the norm of the excess demands
   check_if_D_sum_up_to_one=[check_if_D_sum_up_to_one sum(D,2)];
   iter=iter+1; % count the number of iterations
end
% display the tolerance and the number of iterations after which
% convergence is reached:
disp('    dist     iter')
disp([dist iter])

tfinal= clock; % time at which it ends
et = etime(tfinal,tinitial);% compute elapsed time;

disp(' ');
disp(['time it took eqt.m to run, in seconds = ', num2str(et)])
disp('  ');
