function [lambdanew,Lnew] = findL(shareGDPcal);
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% findLandl.m  March 25, 204
% this function finds L=lambda vector consistent with shareGDPcal
% [lambdanew,Lnew] = findL(shareGDPcal);
% it must have initial values of paramets, such as those set by inputs

tinitial = clock; % counter of the time 

% set initial L and lambda bases on costless trade case

L = shareGDPcal ;   % based on Y = L * (loverL)^(theta/(theta+beta));
lambda = L;

% normalize L and labmda in the simplex
lambda = lambda / sum(lambda) ;
L = L / sum(L);

% set initial distances and tolerance
distlL=1;  
distlLhist = [];
iterlL = 0;
tolerlL = 1e-12;           % tolerance for changes in succesive L,lambda

% loop on phi function to find lambda and L
while (distlL > tolerlL) & (iterlL<300) % stop when the tolerance is small enough, 
                                        % or when was running for more than 300 iterations.
  
   [lambdanew,Lnew] = phiL(shareGDPcal,lambda,L);
   
   distlL = max(max(abs((L-Lnew))./L),max(abs((lambda-lambdanew)./lambda))); 
   distlLhist = [distlLhist distlL] ;
   lambda = lambdanew;
   L = Lnew;
   iterlL=iterlL+1; % count the number of iterations
end

tfinal= clock;                  % time at which it ends
et = etime(tfinal,tinitial);    % compute elapsed time;

disp(' ');
disp(' ');
disp(['time it took findL to run, in seconds = ', num2str(et)])
disp('  ');

% display the tolerance and the number of iterations after which
% convergence is reached:
disp('    distlL     iterlL')
disp([distlL iterlL])