function [lambdanew,Lnew,OMvecnew] = findLandOmega(shareGDPcal,Vcal);
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% findLandl.m  April 4, 2004
% this function finds L=lambda and omega vectors consistent with shareGDPcal
% and volume Vcal.
% [lambdanew,Lnew,OMvecnew] = findL(shareGDPcal);
% it must have initial values of paramets, such as those set by inputs

tinitial = clock; % counter of the time 

% set initial L, lambda and OMvec bases on costless trade case

L = shareGDPcal ;   % based on Y = L * (loverL)^(theta/(theta+beta));
lambda = L;
OMvec = ones(N,1)*omega;
for i=1:N;
    if Vcal(i) >= (1-alpha)/beta;
       OMvec(i) = 1;
    end
end

% normalize L and labmda in the simplex
lambda = lambda / sum(lambda) ;
L = L / sum(L);

% set initial distances and tolerance
distlL=1;  
distlLhist = [];
iterlL = 0;
tolerlL = 0.0001;           % tolerance for changes in succesive L,lambda,OMvecd  NEEDS TO BE LOWER

% loop on phi function to find lambda and L
while (distlL > tolerlL) & (iterlL<400) % stop when the tolerance is small enough, 
                                        % or when was running for more than 300 iterations.
  
   [lambdanew,Lnew,OMvecnew] = phiLandOmega(shareGDPcal,Vcal,lambda,L,OMvec);
   
   % OMvecnew
   
   distlL = max(max(abs((L-Lnew))./L), max(abs(OMvec-OMvecnew))); 
   distlLhist = [distlLhist distlL] ;
   lambda = lambdanew;
   L = Lnew;
   OMvec = OMvecnew;
   iterlL=iterlL+1; % count the number of iterations
end

tfinal= clock;                  % time at which it ends
et = etime(tfinal,tinitial);    % compute elapsed time;

disp(' ');
disp(' ');
disp(['time it took findLandOmega to run, in seconds = ', num2str(et)])
disp('  ');

% display the tolerance and the number of iterations after which
% convergence is reached:
disp('    distlL     iterlL')
disp([distlL iterlL])