function [philambda,phiL] = phi(Y,P,lambdaini,Lini)
global N alpha eta theta beta K omega OM L lambda A B KOM; 

% phi.m   March 22, 2004
% iterates to find L,lambda that match GDPs Y and rel prices P
% [philambda,phiL] = phi(Y,P,lambdaini,Lini)
% lambdaini is the initial lambda
% Lini is the inital L
% vectors philambda and phiL are the iterates of lambda and L
% philambda and phiL are each in the N-dimensional simplex


% (1) Compute equilibrium for given L and lambda 
%initial wages w0 based on the equilibrium for costless trade

L = Lini;
lambda = lambdaini;

for i=1: N
    w0(i,1) = ( lambda(i)/L(i) ) ^ (theta/(theta+beta));
end
% normalize intial wages:
w0 = w0 / (w0'*L);
% finds equilibrium price:
w = eqT(w0);
% computes equilibrium objects
[ZZ,D,s,F] = Z(w);
pmguess = ones(N,1); % arbitrary guess of pm
pm = price_pm(w,pmguess);

% (2) Compute phi for the L components

% compute epsilon, as in notes
one = ones(N,1);
epsilon = one + (one - s) .* ( one - F) ./ (beta*F)  ;

phiL = Y ./ ( w .* epsilon ) ;
phiL = phiL / sum(phiL) ;


%(2) Compute phi for the lambda components

% compute vector pi, as in the notes
for i=1:N;
    pie(i) = 0;
    for j=1:N
        pie(i) = pie(i) + L(j)*w(j)*(1-s(j))*(1/F(j))* ( pm(j)*K(i,j)*OM(i,j)/(A*B) )^(1/theta)*OM(i,j)  ;
    end
    pie(i) = pie(i) / ( (1-s(i)) * pm(i)^((1-beta)/theta) );
end

Delta = 1 / ( alpha^alpha * (1-alpha)^(1-alpha) ) ;

for i=1:N
    philambda(i,1) = ( (P(i)/Delta)^(1/alpha) * pm(i) )^((theta+beta)/theta) * L(i)/pie(i);
end

philambda = philambda / sum(philambda);
