% Programs used to calibrate model (March 2006):
%
% There are different variants of programs used to calibrate the model
% All variataions calibrate to the distribution of World GDP.
% The variations depend on whether we use L=lambda or not, i.e. whethe we
% calibrate to the distribution of relative prices, and whether we
% calibrate to uniform tariff and transporttion cost
% also some variations produce more figures than others
%
%
% 1) inputs.m   : script to set parameters to find an equilibrium
% 2) eqT.m      : function that finds equilibrium wage w. Needs global parameters set up by inputs.
% 3) T.m        : function that compute each iteration, i.e operator T in the paper
% 4) price_pm.m : function that computes prices pm as function of w
% 5) Z.m        : function that computes excess demands as function of w
% 6) phi.m      : function that define the iteration on (lambda,L)
% 7) findlandL  : function that iterates on (lambda,L) until finding equilibrium
%                 findL, and findLandOmega.m are variants of findLandl
% 8) outputcal  : script that finds (lambda,L) and produc plots of interest
%                 outputcal2, outputcal3: variants of outputcal
%
% To calibrate the model: (i.e. to select (L,lambda) to reproduce a distribution of 
% GPD given by shareGDPcal and of relative prices of non-tradeables o tradeablse given by Pcal)
% 
% a) set parameters as well target GDP and relative price (shareGDPcal, Pcal) in inputs.m
% b) run either of the scritps: outputcal, outputcal1, outputcal2, outputcal3,
%                               calibration1, calibration2, calibration22,
%                               calibration22d, calibration22dtu,
%                               calibration3
% 
%    the outputcal*.m series gives more information about the nature of the fits. 
%    the calibration*.m series produces figures similar to the ones in the paper
%
%    To obtain more information about these functions type, for example, 
%    "help calibrtion1.m " this will show what calibration1.m does  