% Programs used to find equilibrium
%
% 1) inputs.m   : script to set parameters to find an equilibrium
% 2) outputeq.m : scritp to find equilibrium wage and to produce plots describing the equilibrium
% 3) eqT.m      : function that finds equilibrium wage w. Needs global parameters set up by inputs.
% 4) T.m        : function that compute each iteration, i.e operator T in the paper
% 5) price_pm.m : function that computes prices pm as function of w
% 6) Z.m        : function that computes excess demands as function of w
%
% To obtain more information about these functions type, for example, help eqT 
%
%
% To find an equilibrium do the following:
%
% a) edit script inputs.m where one sets values for:
%   N, alpha, beta, theta, vectors L, lambda, marices OM (omegas) and K (kappas)
% b) run the script outputeq.m 
