function [c1] = welfsoe(omega1, alpha, beta, theta);

% [c] = welfsoe(omega1, alpha, beta, theta);
% this function gives the consumption c1 of a small open economy with tariff omega1 and paramteres: alpha, beta, theta
% c1 is expressed as a ratio of its value for no tariff, so c1(omega1=1) = 1;


a = alpha;
b = beta;
t = theta;
o1 = omega1;

c1ft =  ( b ) * ( b )^(-(a*t+b)/(t+b)) ;  % consumption in free trade

c1 = o1^((1-a)/(t+b)) * ( 1 + (b-1)*o1 ) * ( a + (b-a)*o1 )^(-(a*t+b)/(t+b)) ;
c1 = c1/c1ft;  



